function Dates(start){
	this.start = start;
}

Dates.prototype.calendar = function(len){
	
	var days = [];
	
	for (var i = 0; i < len; i++) {
		days.push(this.create(i));
	}
	
	return days;
	
};

Dates.prototype.create = function(num){
		// what's today's date?
	var num = num - this.start;
	var setDate = new Date();
	setDate.setDate(setDate.getDate() + num);
	

	var dateObj = {
		"day" : this.dayOfWeek(setDate.getDay()),
		"date" : setDate.getDate(),
		"month" : setDate.getMonth(),
		"year" : setDate.getFullYear(),
		"today" : false,
		"monthName" : this.month(setDate.getMonth()),
		"color" : "#cfe4c4",
	}; 

	if(num == 0){
		dateObj.today = true;
		dateObj.color =  "#09543c";
		Alloy.Globals.today = dateObj;
		Alloy.Globals.selectedDateAsString = ((dateObj.month + 1) % 12) + '/' + dateObj.date + '/' + dateObj.year;
	}
	
	return dateObj;
	
};

Dates.prototype.dayOfWeek = function(num){
	
	var dayOfWeek;
	
	switch (num) {
		case 0:
			dayOfWeek = "SU";
			break
		case 1:
			dayOfWeek = "MO";
			break
		case 2:
			dayOfWeek = "TU";
			break
		case 3:
			dayOfWeek = "WE";
			break
		case 4:
			dayOfWeek = "TH";
			break
		case 5:
			dayOfWeek = "FR";
			break
		case 6:
			dayOfWeek = "SA";
			break
		default:
			dayOfWeek = "";
	}

	return dayOfWeek;
};

Dates.prototype.month = function(num){

	var month;
	
	switch (num) {
		case 0:
			month = "JAN";
			break
		case 1:
			month = "FEB";
			break
		case 2:
			month = "MAR";
			break
		case 3:
			month = "APR";
			break
		case 4:
			month = "MAY";
			break
		case 5:
			month = "JUN";
			break
		case 6:
			month = "JUL";
			break
		case 7:
			month = "AUG";
			break
		case 8:
			month = "SEP";
			break
		case 9:
			month = "OCT";
			break
		case 10:
			month = "NOV";
			break
		case 11:
			month = "DEC";
			break
		default:
			month = "";
	}

	return month;
	
};



module.exports = Dates;
Ti.API.info( 'Exports (Dates): ' + Dates);